%define _disable_ld_no_undefined 1

Name:       x11-driver-input-evtouch
Version:    0.8.8
Release:    %mkrel 28
Summary:    Linux-Touchscreen Driver for X
Group:      System/X11
License:    MIT
URL:        http://www.conan.de/touchscreen/evtouch.html
Source:     http://www.conan.de/touchscreen/xf86-input-evtouch-%{version}.tar.bz2
# Debian patches
Patch0:     01_fix_warnings.patch
Patch1:     02_calibration_1.6.patch
Patch2:     03_server-1.6-ftbfs.diff
Patch3:     04_server-1.7-ftbfs.diff
# (tmb)  buildfixes for x11-server 1.10
Patch4:     evtouch-replace-LocalDevicePtr-with-InputInfoPtr.patch
Patch5:     evtouch-remove-libc-wrapper-usage-for-xcalloc-xalloc-xfree.patch
Patch6:     evtouch-use-a-local-variable-for-history_size.patch
Patch7:     evtouch-purge-unused-close_proc.patch
Patch8:     evtouch-add-mode-field-to-InitValuatorAxisStruct.patch
Patch9:     evtouch-adjust-to-new-PreInit.patch
# needed for ev_calibrate:
Requires:	fonts-ttf-freefont
BuildRequires:  x11-proto-devel
BuildRequires:  x11-server-devel

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Evtouch is a Touchscreen-Driver for X. 

%prep
%setup -q -n xf86-input-evtouch-%{version}
%autopatch -p1

%build
export CURSORDIR=%{_datadir}/xf86-input-evtouch
%configure2_5x --enable-evcalibrate
%make

%install
%makeinstall_std

%files
%doc README README.calibration
%{_libdir}/xorg/modules/input/evtouch_drv.la
%{_libdir}/xorg/modules/input/evtouch_drv.so
%{_libdir}/xf86-input-evtouch
%{_datadir}/xf86-input-evtouch




%changelog
* Thu Nov 17 2016 tv <tv> 0.8.8-28.mga6
+ Revision: 1067782
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.8.8-27.mga6
+ Revision: 1043333
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 0.8.8-26.mga6
+ Revision: 963308
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 0.8.8-25.mga6
+ Revision: 902279
- submit to core/release

* Wed Nov 11 2015 tv <tv> 0.8.8-24.mga6
+ Revision: 902039
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 0.8.8-23.mga6
+ Revision: 835997
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 0.8.8-22.mga5
+ Revision: 742258
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.8-21.mga5
+ Revision: 690401
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.8.8-20.mga5
+ Revision: 635001
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.8.8-19.mga5
+ Revision: 633657
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.8.8-18.mga5
+ Revision: 614338
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.8.8-17.mga5
+ Revision: 582276
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 0.8.8-16.mga4
+ Revision: 525395
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 0.8.8-15.mga4
+ Revision: 433133
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 0.8.8-14.mga4
+ Revision: 385928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 0.8.8-13.mga3
+ Revision: 289365
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 0.8.8-12.mga3
+ Revision: 256318
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.8.8-11.mga3
+ Revision: 252988
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.8.8-10.mga3.nonfree
+ Revision: 250203
- rebuild for new X.org server

* Sat Mar 10 2012 tv <tv> 0.8.8-9.mga2
+ Revision: 222537
- requires fonts-ttf-freefont (needed for ev_calibrate, mga#1346)

* Tue Dec 06 2011 tmb <tmb> 0.8.8-8.mga2
+ Revision: 177511
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.8.8-7.mga2
+ Revision: 153101
- rebuild for xserver-1.11

* Sat Mar 05 2011 tmb <tmb> 0.8.8-6.mga1
+ Revision: 65053
- fix build with x11-server 1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.8.8-4.mga1
+ Revision: 50133
- imported package x11-driver-input-evtouch

